Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/ServiceLocator.cs	(revision 4302)
@@ -4,9 +4,11 @@
 using System.Text;
 
+using System.ServiceModel;
 using HeuristicLab.Hive.Contracts.Interfaces;
-using System.ServiceModel;
 using HeuristicLab.Hive.Contracts;
+using System.ServiceModel.Description;
 
 namespace HeuristicLab.Hive.Server.ServerConsole {
+
   internal class ServiceLocator {
     private static IServerConsoleFacade serverConsoleFacade = null;
@@ -15,6 +17,5 @@
     internal static string Port { get; set; }
     internal static string Username { get; set; }
-    // [chn] TODO: Don't store plaintext password in memory!
-    internal static string Password { get; set; }
+    internal static string Password { get; set; } // [chn] TODO: Don't store plaintext password in memory!
 
     internal static ISlaveManager GetSlaveManager() {
@@ -28,18 +29,14 @@
     internal static IServerConsoleFacade GetServerConsoleFacade() {
       if (serverConsoleFacade == null && Address != String.Empty && Port != String.Empty) {
-        //ChannelFactory<IServerConsoleFacade> factory =
-        //  new ChannelFactory<IServerConsoleFacade>(
-        //    WcfSettings.GetBinding(),
-        //    new EndpointAddress("net.tcp://" + Address + ":" + Port + "/HiveServerConsole/ServerConsoleFacade"));
-
-        ChannelFactory<IServerConsoleFacade> factory =
-          new ChannelFactory<IServerConsoleFacade>(
-            WcfSettings.GetBinding(),
-            new EndpointAddress("http://" + Address + ":" + Port + "/HiveServerConsole"));
+        ChannelFactory<IServerConsoleFacade> factory = new ChannelFactory<IServerConsoleFacade>("ServerConsoleHttpEndpoint");
+        WcfSettings.SetEndpointAddress(factory.Endpoint, string.Format("http://{0}:{1}/{2}", Address, Port, WcfSettings.ServerConsoleServiceName));
 
         factory.Credentials.UserName.UserName = Username;
         factory.Credentials.UserName.Password = Password;
-        serverConsoleFacade = factory.CreateChannel();
-        ((ICommunicationObject)serverConsoleFacade).Faulted += ServiceLocator_Faulted;
+
+        IServerConsoleFacade client = factory.CreateChannel();
+
+        ((ICommunicationObject)client).Faulted += ServiceLocator_Faulted;
+        serverConsoleFacade = client;
       }
       return serverConsoleFacade;
@@ -55,5 +52,4 @@
       serverConsoleFacade = null;
     }
-
   }
 }
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat	(revision 4302)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Console/3.3/Tools/RecreateServiceConfig.bat	(revision 4302)
@@ -0,0 +1,8 @@
+REM This tool updates the app.config with the client-config. IP-Adress may need to be adjusted
+REM ServerConsoleFacade.cs is also created, but not needed
+
+SvcUtil.exe ^
+      /noLogo ^
+      /language:cs ^
+      http://192.168.198.1:9000/ServerConsoleService/?wsdl ^
+      /config:../app.config
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ClientFacade.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ClientFacade.cs	(revision 4302)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ClientFacade.cs	(revision 4302)
@@ -0,0 +1,102 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Linq;
+using System.Text;
+using HeuristicLab.Hive.Contracts.Interfaces;
+using HeuristicLab.Hive.Contracts;
+using HeuristicLab.Hive.Contracts.BusinessObjects;
+using HeuristicLab.Hive.Server.DataAccess;
+using HeuristicLab.Hive.Contracts.ResponseObjects;
+using System.Security.Permissions;
+
+namespace HeuristicLab.Hive.Server.Core {
+  public class ClientFacade : IClientFacade {
+
+    private IJobManager jobManager = ServiceLocator.GetJobManager();
+    private IContextFactory contextFactory = ServiceLocator.GetContextFactory();
+
+    public ClientFacade() {
+    }
+
+    #region IClientFacade Members
+
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public ResponseObject<JobDto> AddJob(SerializedJob job) {
+      using (contextFactory.GetContext()) {
+        return jobManager.AddNewJob(job);
+      }
+    }
+
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public ResponseObject<JobDto> AddJobWithGroupStrings(SerializedJob job, IEnumerable<string> resources) {
+      using (contextFactory.GetContext()) {
+        return jobManager.AddJobWithGroupStrings(job, resources);
+      }
+    }
+
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public Response RequestSnapshot(Guid jobId) {
+      using (contextFactory.GetContext()) {
+        return jobManager.RequestSnapshot(jobId);
+      }
+    }
+
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public ResponseObject<SerializedJob> GetLastSerializedResult(Guid jobId, bool requested, bool snapshot) {
+      using (contextFactory.GetContext(false)) {
+        return jobManager.GetLastSerializedResult(jobId, requested, snapshot);
+      }
+    }
+
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public ResponseObject<JobDto> GetJobById(Guid jobId) {
+      using (contextFactory.GetContext(false)) {
+        return jobManager.GetJobById(jobId);
+      }
+    }
+
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public Response AbortJob(Guid jobId) {
+      using (contextFactory.GetContext()) {
+        return jobManager.AbortJob(jobId);
+      }
+    }
+
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Client)]
+    public ResponseObject<JobResultList> GetJobResults(IEnumerable<Guid> jobIds) {
+      using (contextFactory.GetContext(false)) {
+        return jobManager.GetJobResults(jobIds);
+      }
+    }
+
+    #endregion
+  }
+}
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ServerConsoleFacade.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ServerConsoleFacade.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/ServerConsoleFacade.cs	(revision 4302)
@@ -47,6 +47,4 @@
     private IJobManager jobManager = ServiceLocator.GetJobManager();
 
-    private IHivePermissionManager secMan = ServiceLocator.GetHivePermissionManager();
-
     private IContextFactory contextFactory = ServiceLocator.GetContextFactory();
 
@@ -56,5 +54,4 @@
     }
 
-    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     public Response Login() {
       Response resp = new Response();
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/Facades/SlaveFacade.cs	(revision 4302)
@@ -41,14 +41,13 @@
   [ServiceBehavior(InstanceContextMode = InstanceContextMode.PerCall, ConcurrencyMode = ConcurrencyMode.Multiple)]
   public class SlaveFacade : ISlaveFacade {
+    private ISlaveCommunicator slaveCommunicator = ServiceLocator.GetSlaveCommunicator();
+    private IContextFactory contextFactory = ServiceLocator.GetContextFactory();
 
     public SlaveFacade() {
     }
 
-    private ISlaveCommunicator slaveCommunicator = ServiceLocator.GetSlaveCommunicator();
-
-    private IContextFactory contextFactory = ServiceLocator.GetContextFactory();
-
     #region ISlaveCommunicator Members
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public Response Login(Guid slaveId) {
@@ -58,4 +57,5 @@
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public ResponseHeartBeat ProcessHeartBeat(HeartBeatData hbData) {
@@ -65,25 +65,29 @@
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public ResponseObject<JobDto> GetJob(Guid clientId) {
+    public ResponseObject<JobDto> GetJob(Guid slaveId) {
       using (contextFactory.GetContext()) {
-        return slaveCommunicator.GetJob(clientId);
+        return slaveCommunicator.GetJob(slaveId);
       }
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public ResponseResultReceived StoreFinishedJobResult(Guid clientId, Guid jobId, byte[] result, double percentage, string exception) {
+    public ResponseResultReceived StoreFinishedJobResult(Guid slaveId, Guid jobId, byte[] result, double percentage, string exception) {
       using (contextFactory.GetContext()) {
-        return slaveCommunicator.StoreFinishedJobResult(clientId, jobId, result, percentage, exception);
+        return slaveCommunicator.StoreFinishedJobResult(slaveId, jobId, result, percentage, exception);
       }
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public Response Logout(Guid clientId) {
+    public Response Logout(Guid slaveId) {
       using (contextFactory.GetContext()) {
-        return slaveCommunicator.Logout(clientId);
+        return slaveCommunicator.Logout(slaveId);
       }
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public Response IsJobStillNeeded(Guid jobId) {
@@ -93,4 +97,5 @@
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public ResponseList<CachedHivePluginInfoDto> GetPlugins(List<HivePluginInfoDto> pluginList) {
@@ -98,22 +103,25 @@
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public ResponseResultReceived ProcessSnapshot(Guid clientId, Guid jobId, byte[] result, double percentage, string exception) {
+    public ResponseResultReceived ProcessSnapshot(Guid slaveId, Guid jobId, byte[] result, double percentage, string exception) {
       using (contextFactory.GetContext()) {
-        return slaveCommunicator.ProcessSnapshot(clientId, jobId, result, percentage, exception); 
+        return slaveCommunicator.ProcessSnapshot(slaveId, jobId, result, percentage, exception); 
       }
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public ResponseCalendar GetCalendar(Guid clientId) {
+    public ResponseCalendar GetCalendar(Guid slaveId) {
       using (contextFactory.GetContext()) {
-        return slaveCommunicator.GetCalendar(clientId); 
+        return slaveCommunicator.GetCalendar(slaveId); 
       }
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public Response SetCalendarStatus(Guid clientId, CalendarState state) { 
+    public Response SetCalendarStatus(Guid slaveId, CalendarState state) { 
       using (contextFactory.GetContext()) {
-        return slaveCommunicator.SetCalendarStatus(clientId, state);
+        return slaveCommunicator.SetCalendarStatus(slaveId, state);
       }
     }
@@ -125,6 +133,7 @@
     /// Do not use automatic transactions here
     /// </summary>
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
-    public Stream GetStreamedJob(Guid clientId) {
+    public Stream GetStreamedJob(Guid slaveId) {
       using (contextFactory.GetContext(false)) {
         MultiStream stream = new MultiStream();
@@ -132,5 +141,5 @@
         ResponseObject<JobDto> job = null;
 
-        job = ServiceLocator.GetSlaveCommunicator().GetJob(clientId);
+        job = ServiceLocator.GetSlaveCommunicator().GetJob(slaveId);
 
         //first send response
@@ -145,6 +154,6 @@
         }
 
-        OperationContext clientContext = OperationContext.Current;
-        clientContext.OperationCompleted += new EventHandler(delegate(object sender, EventArgs args) {
+        OperationContext slaveContext = OperationContext.Current;
+        slaveContext.OperationCompleted += new EventHandler(delegate(object sender, EventArgs args) {
           if (stream != null) {
             stream.Dispose();
@@ -156,4 +165,5 @@
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public Stream GetStreamedPlugins(List<HivePluginInfoDto> pluginList) {
@@ -161,4 +171,5 @@
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public ResponseResultReceived StoreFinishedJobResultStreamed(Stream stream) {
@@ -168,4 +179,5 @@
     }
 
+    [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Administrator)]
     [PrincipalPermission(SecurityAction.Demand, Role = HiveRoles.Slave)]
     public ResponseResultReceived ProcessSnapshotStreamed(Stream stream) {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/HeuristicLab.Hive.Server.Core-3.3.csproj	(revision 4302)
@@ -120,5 +120,5 @@
     <Compile Include="DaoLocator.cs" />
     <Compile Include="DefaultScheduler.cs" />
-    <Compile Include="Facades\ExecutionEngineFacade.cs" />
+    <Compile Include="Facades\ClientFacade.cs" />
     <Compile Include="HeuristicLabHiveServerCorePlugin.cs" />
     <Compile Include="InternalInterfaces\IHivePermissionManager.cs" />
@@ -131,9 +131,4 @@
     <Compile Include="Facades\ServerConsoleFacade.cs" />
     <Compile Include="ServiceLocator.cs" />
-    <Compile Include="Properties\Settings.Designer.cs">
-      <AutoGen>True</AutoGen>
-      <DesignTimeSharedInput>True</DesignTimeSharedInput>
-      <DependentUpon>Settings.settings</DependentUpon>
-    </Compile>
     <Compile Include="Settings.cs" />
   </ItemGroup>
@@ -144,8 +139,4 @@
     <None Include="HeuristicLab.snk" />
     <None Include="Properties\AssemblyInfo.frame" />
-    <None Include="Properties\Settings.settings">
-      <Generator>PublicSettingsSingleFileGenerator</Generator>
-      <LastGenOutput>Settings.Designer.cs</LastGenOutput>
-    </None>
   </ItemGroup>
   <ItemGroup>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.Core/3.3/ServiceLocator.cs	(revision 4302)
@@ -102,19 +102,4 @@
 
     /// <summary>
-    /// Gets the db session factory
-    /// </summary>
-    /// <returns></returns>
-    [MethodImpl(MethodImplOptions.Synchronized)]
-    public static ISessionFactory GetSessionFactory() {
-      if (sessionFactory == null) {
-        sessionFactory = ApplicationManager.Manager.GetInstances<ISessionFactory>().First();
-        sessionFactory.DbConnectionType = typeof(SqlConnection);
-        sessionFactory.DbConnectionString = HeuristicLab.Hive.Server.Core.Properties.Settings.Default.HiveServerConnectionString;
-      }
-
-      return sessionFactory;
-    }
-
-    /// <summary>
     /// Gets the scheduler
     /// </summary>
@@ -141,15 +126,15 @@
     //}
 
-    /// <summary>
-    /// Gets the permission manager
-    /// </summary>
-    /// <returns></returns>
-    [MethodImpl(MethodImplOptions.Synchronized)]
-    public static IHivePermissionManager GetHivePermissionManager() {
-      if (hivePermManager == null)
-        hivePermManager = ApplicationManager.Manager.GetInstances<IHivePermissionManager>().First();
-      return hivePermManager;
+    ///// <summary>
+    ///// Gets the permission manager
+    ///// </summary>
+    ///// <returns></returns>
+    //[MethodImpl(MethodImplOptions.Synchronized)]
+    //public static IHivePermissionManager GetHivePermissionManager() {
+    //  if (hivePermManager == null)
+    //    hivePermManager = ApplicationManager.Manager.GetInstances<IHivePermissionManager>().First();
+    //  return hivePermManager;
 
-    }
+    //}
 
     /// <summary>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Properties/Settings.Designer.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Properties/Settings.Designer.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Properties/Settings.Designer.cs	(revision 4302)
@@ -27,5 +27,5 @@
         [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
         [global::System.Configuration.SpecialSettingAttribute(global::System.Configuration.SpecialSetting.ConnectionString)]
-        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive;Integrated Security=True;" +
+        [global::System.Configuration.DefaultSettingValueAttribute("Data Source=localhost;Initial Catalog=HeuristicLab.Hive;Integrated Security=True;" +
             "")]
         public string HeuristicLab_Hive_LinqConnectionString {
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Properties/Settings.settings
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Properties/Settings.settings	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server.LINQDataAccess/3.3/Properties/Settings.settings	(revision 4302)
@@ -6,8 +6,8 @@
       <DesignTimeValue Profile="(Default)">&lt;?xml version="1.0" encoding="utf-16"?&gt;
 &lt;SerializableConnectionString xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
-  &lt;ConnectionString&gt;Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive;Integrated Security=True;&lt;/ConnectionString&gt;
+  &lt;ConnectionString&gt;Data Source=localhost;Initial Catalog=HeuristicLab.Hive;Integrated Security=True;&lt;/ConnectionString&gt;
   &lt;ProviderName&gt;System.Data.SqlClient&lt;/ProviderName&gt;
 &lt;/SerializableConnectionString&gt;</DesignTimeValue>
-      <Value Profile="(Default)">Data Source=127.0.0.1;Initial Catalog=HeuristicLab.Hive;Integrated Security=True;</Value>
+      <Value Profile="(Default)">Data Source=localhost;Initial Catalog=HeuristicLab.Hive;Integrated Security=True;</Value>
     </Setting>
   </Settings>
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/HeuristicLabHiveServerApplication.cs	(revision 4302)
@@ -33,37 +33,48 @@
 
 namespace HeuristicLab.Hive.Server {
-  [Application("Hive Server", "Server application for the distributed hive engine.", true)]
+  [Application("Hive Server", "Server application for the distributed hive engine.", false)]
   public class HeuristicLabHiveServerApplication : ApplicationBase {
-    public const string STR_SlaveCommunicator = "HiveServer";
-    public const string STR_ServerConsoleFacade = "ServerConsoleFacade";
-    public const string STR_ExecutionEngineFacade = "ExecutionEngineFacade";
     Dictionary<string, Uri> baseAddrDict = new Dictionary<string, Uri>();
 
     public override void Run() {
-      ServiceHost slaveHost = new ServiceHost(ApplicationManager.Manager.GetTypes(typeof(ISlaveFacade)).First(), GetUri(STR_SlaveCommunicator));
-      slaveHost.Open();
+      ILifecycleManager lifecycleManager = null;
+      ServiceHost slaveServiceHost = null;
+      ServiceHost serverConsoleServiceHost = null;
+      ServiceHost clientServiceHost = null;
+      try {
+        slaveServiceHost = new ServiceHost(ApplicationManager.Manager.GetTypes(typeof(ISlaveFacade)).First(), GetUri(WcfSettings.SlaveServiceName));
+        slaveServiceHost.Open();
 
-      ServiceHost serverConsoleHost = new ServiceHost(ApplicationManager.Manager.GetTypes(typeof(IServerConsoleFacade)).First(), GetUri(STR_ServerConsoleFacade));
-      serverConsoleHost.Open();
+        serverConsoleServiceHost = new ServiceHost(ApplicationManager.Manager.GetTypes(typeof(IServerConsoleFacade)).First(), GetUri(WcfSettings.ServerConsoleServiceName));
+        serverConsoleServiceHost.Open();
 
-      ServiceHost executionEngineHost = new ServiceHost(ApplicationManager.Manager.GetTypes(typeof(IExecutionEngineFacade)).First(), GetUri(STR_ExecutionEngineFacade));
-      executionEngineHost.Open();
+        clientServiceHost = new ServiceHost(ApplicationManager.Manager.GetTypes(typeof(IClientFacade)).First(), GetUri(WcfSettings.ClientServiceName));
+        clientServiceHost.Open();
 
-      ILifecycleManager lifecycleManager = ServiceLocator.GetLifecycleManager();
-      lifecycleManager.Init();
+        lifecycleManager = ServiceLocator.GetLifecycleManager();
+        lifecycleManager.Init();
 
-      Form mainForm = new MainForm(baseAddrDict);
-      Application.Run();
+        Form mainForm = new MainForm(baseAddrDict);
+        Application.Run();
+      }
+      catch (AddressAccessDeniedException ex) {
+        throw new Exception("Unable to start WCF-Services due to missing rights. Run the following command as administrator: \"netsh http add urlacl url=http://+" + WcfSettings.DefaultPort + "/ user=MYMACHINE\\UserName\". See inner exception for more details.", ex);
+      }
+      finally {
+        if (slaveServiceHost != null && slaveServiceHost.State == CommunicationState.Opened)
+          slaveServiceHost.Close();
+        if (serverConsoleServiceHost != null && serverConsoleServiceHost.State == CommunicationState.Opened)
+          serverConsoleServiceHost.Close();
+        if (clientServiceHost != null && clientServiceHost.State == CommunicationState.Opened)
+          clientServiceHost.Close();
 
-      slaveHost.Close();
-      serverConsoleHost.Close();
-      executionEngineHost.Close();
-
-      lifecycleManager.Shutdown();
+        if(lifecycleManager != null)
+          lifecycleManager.Shutdown();
+      }
     }
 
     private Uri GetUri(string serviceName) {
       string ipAddress = WcfSettings.GetActiveIP().ToString();
-      string port = WcfSettings.DEFAULTPORT.ToString();
+      string port = WcfSettings.DefaultPort.ToString();
       Uri uriHttp = new Uri("http://" + ipAddress + ":" + port + "/" + serviceName + "/");
       baseAddrDict.Add(serviceName, uriHttp);
Index: /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs
===================================================================
--- /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs	(revision 4301)
+++ /branches/3.3-HiveMigration/sources/HeuristicLab.Hive/HeuristicLab.Hive.Server/3.3/MainForm.cs	(revision 4302)
@@ -7,4 +7,5 @@
 using System.Text;
 using System.Windows.Forms;
+using HeuristicLab.Hive.Contracts;
 
 namespace HeuristicLab.Hive.Server {
@@ -15,11 +16,11 @@
       Uri uri;
       StringBuilder servicesTxt = new StringBuilder();
-      addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_SlaveCommunicator, out uri);
+      addresses.TryGetValue(WcfSettings.SlaveServiceName, out uri);
       if (uri != null)
         servicesTxt.AppendLine(String.Format("Server Slave: {0}", uri));
-      addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ServerConsoleFacade, out uri);
+      addresses.TryGetValue(WcfSettings.ServerConsoleServiceName, out uri);
       if (uri != null)
         servicesTxt.AppendLine(String.Format("Server Console: {0}", uri));
-      addresses.TryGetValue(HeuristicLabHiveServerApplication.STR_ExecutionEngineFacade, out uri);
+      addresses.TryGetValue(WcfSettings.ClientServiceName, out uri);
       if (uri != null)
         servicesTxt.AppendLine(String.Format("Execution Engine: {0}", uri));
